function stro = notex(stri)
%function stro = notex(stri)
% Inactive les caracteres _ et ^ en mode TeX.
% Si la version de Matlab est > 4, met un '\' devant chaque caractere '_'
% ou '^' de la chaine stri, renvoie stri sinon.
% Utile lorsque cette chaine doit etre affichee sur un graphique
% et que l'on ne souhaite pas desactiver l'interpreteur TeX 
% (propriete ('interpreter','none') de la commande text, title, xlabel...)
%
% ENTREE
%   stri : chaine a traiter
% SORTIE
%   stro : chaine modifiee eventuellement

stro=stri;
[v,d]=version;
if v(1) > '4' & length(stri) > 0
 ind=find(stri=='_');
 n=length(stro);
 for k=fliplr(ind)
  stro(k+1:n+1) = stro(k:n);
  stro(k) = '\';
  n=n+1;
 end
 ind=find(stro=='^');
 for k=fliplr(ind)
  stro(k+1:n+1) = stro(k:n);
  stro(k) = '\';
  n=n+1;
 end
end
