function printps(parcou,nomfic,ext,valnu,nblig,driver)
%function printps(parcou,nomfic,ext,valnu,nblig,driver)
%
% Creation du fichier de sortie correspondant au graphique courant.
% Le nom du fichier est genere a partir du nom du fichier de donnees
% de l'exposant de singularite nu et du parametre courant.
%
% ENTREES
%  parcou : parametre courant pilotant le calcul
%  nomfic : nom du fichier des donnees traitees
%  ext    : extension du fichier caracterisant les donnees traitees
%  valnu  : chaine de caracteres correspondant a la valeur de nu
%  nblig  : nombre de lignes de graphes dans la figure
%           (1er parametre de subplot)
%  driver : nom du driver a utiliser (option de la commande print)

if ~ isempty(driver)
 if nblig > 4, orient tall, end
 set (gcf,'PaperType','a4letter')
 nfips = [sanesp(nomfic), 'p',int2str(parcou), 'nu',valnu, sanesp(ext), '.ps'];
 print(gcf, driver, nfips)
 disp(['Created file : ',nfips])
end
