function [haxes, hplot] = exploit(lisfic,prmax,styr,styc,taicar, ...
                                  legendx,labely,afftit,legrac,limites)
haxes = []; hplot = [];
% Ecart min entre les extrema des graduations
ecartmin = 0.1;
%
%     1. Lecture du fichier et creation de la structure de donnees
%        ---------------------------------------------------------
[nbrac,xr,racr,xc,prracc,piracc,codret] = lecrac(lisfic,prmax);
if codret ~= 0, disp('*** Execution stopped'), return, end
% On extrait la partie pricipale du nom du premier fichier
% (on ote les extensions et la partie repertoire si elle existe)
nomfic = lisfic(1,:);
premc = max([0 find(nomfic=='/')]) + 1;
dernc = min([length(nomfic)+1 find(nomfic=='.')]) - 1;
nomfic = nomfic(premc:dernc);
%
%     2. Partie graphique
%        . s'il existe des racines complexes :
%            en haut, partie imaginaire en fonction de l'angle
%            en bas,  partie reelle           "           "
%        . sinon, un seul dessin
%        --------------------------------------------------------------
%
% S'il existe des racines complexes, la variable complexes est > 0
complexes = length(xc);
[v,d]=version;
if v(1) == '4', nutxt = 'nu'; else nutxt = '\nu'; end
%
if complexes > 0
 haxr = subplot(2,1,2);
 legendy = ['Re(',nutxt,')'];
else
 haxr = gca;
 legendy = ['Sing. exp. ',nutxt];
end
%
%    Partie reelle
hr=plot(xr,racr,styr, xc,prracc,styc);
taille=get(hr(1),'MarkerSize');
newtai = max(2,min(taille,taille/nbrac*400));
set(hr,'MarkerSize',newtai)
%
% Determination des bornes des abscisses (angle min, angle max)
% et des ordonnees sur la partie reelle
xlim=[min([min(xr) min(xc)]) max([max(xr) max(xc)])];
if xlim(2)-xlim(1) < ecartmin
 milieu = (xlim(2)+xlim(1))/2;
 xlim(1) = milieu-ecartmin;
 xlim(2) = milieu+ecartmin;
 set(haxr,'Xlim',xlim)
end
ylimr=get(haxr,'Ylim');
if ylimr(2)-ylimr(1) < ecartmin
 milieu = (ylimr(2)+ylimr(1))/2;
 ylimr(1) = milieu-ecartmin;
 ylimr(2) = milieu+ecartmin;
 set(haxr,'Ylim',ylimr)
end
%
set(haxr,'FontSize',taicar)
xlabel(legendx)
set(get(haxr,'xlabel'),'FontSize',taicar)
if (labely)
 ylabel(legendy)
 set(get(haxr,'ylabel'),'FontSize',taicar)
end
%
haxes = haxr;
hplot = hr;
%
%    Partie imaginaire
if complexes > 0
 haxi = subplot(2,1,1);
 hi=plot(xc,piracc,styc);
 set(hi,'MarkerSize',newtai)
 ylimi=[min(piracc) max(piracc)];
 if ylimi(1) < 0, disp('*** Negative imaginary part detected ***'), end
 ylimi(1) = 0;
 if ylimi(2) < ecartmin
  ylimi(2) = ecartmin;
  set(haxi,'Ylim',ylimi)
 else
  ylimi=get(haxi,'Ylim');
 end
%
 haxes = [haxr; haxi];
 hplot = [hr; hi];
%
 set(haxi,'FontSize',taicar)
 if legrac == 1
  xlabel(['Legend : Real = ',styr,' , Complex = ',styc])
  set(get(haxi,'xlabel'),'FontSize',taicar)
 end
 if (labely)
  ylabel(['Im(',nutxt,')'])
  set(get(haxi,'ylabel'),'FontSize',taicar)
 end
%   Decalage de ce graphique  vers le bas.
 recti = get(haxi,'Position');
 rectr = get(haxr,'Position');
 hgr = rectr(2)+rectr(4);
 if afftit == 1, title(gestit(nomfic)), end
 if legrac == 1
  recti(2) = hgr + (recti(2)-hgr)/2.5; % Avec orient tall, c'est correct
 else
  recti(2) = hgr + (recti(2)-hgr)/4;   % Avec orient tall, c'est correct
 end
 set(haxi,'Position',recti);
%
% Modification des axes
 if isempty(limites)
  modiax(haxes,[xlim ylimr ylimi(2)])
 else
  modiax(haxes,limites)
 end
%
 orient tall
else
 if afftit == 1, title(gestit(nomfic)), end
% Modification des axes
 if ~isempty(limites)
  modiax(haxes,[limites(1) limites(2) limites(3) limites(4)])
 end
end % Fin du 2eme "if complexes > 0"
